<% LANGUAGE="VBSCRIPT" %>
<%
'Set the format of generated image
Dim ImageType 
'ImageType = 0 ' PNG
'ImageType = 1 ' Jpeg
'WBMP format by default
ImageType = 2' WBMP


'Request from querystring variable
'Type paramater sets the format of output image
rqs = Request.QueryString("type")
if rqs <> "" then
  if isNumeric(rqs) then 
    if ((rqs >=0) and (rqs<3)) then ImageType = rqs
  end if
end if

' Clear out the existing HTTP header information
Response.Expires = 0
Response.Buffer = TRUE
Response.Clear 
'Query the name of the source image
filename = Request.QueryString("r") 
if filename ="" then filename = "dogpile.png"



' Change the HTTP header to reflect that an image is being passed.
Select case ImageType
case 0
Response.ContentType = "image/png" 
case 1
Response.ContentType = "image/jpeg" 
case 2
Response.ContentType = "image/vnd.wap.wbmp" 
case else
Response.ContentType = "image/png" 
End Select


' Declare object variable 
Dim im
' Create ActiveImage object
Set im = CreateObject("ActiveImage.Images.1")

' Detect source image type by extension
position = inStr(1,filename,".")
ext = MID(filename,position+1,Len(filename)-position)

Select case ext
               case "png"
                         imagetypesource = 0
               case "jpg"
                         imagetypesource = 1
               case "jpeg"
                         imagetypesource = 1
               case "wbmp"
                         imagetypesource = 2
               case else
                         imagetypesource = 0
End Select

' Set source image format  
im.SetImageType imagetypesource


path = Server.MapPath(filename)

' Load image from file 
im.ReadFromFile path

' Determine image dimensions 
w = im.GetWidth
h = im.GetHeight
r = 1
wmax = 90
hmax = 60

' Change image dimensions for WAP enabled phones
' Create a smaller image and copy/resize original one
' Convert image to black and white
' 
if (w <> 0) and (h <> 0) then 
  if (w > wmax) or (h > hmax) then
    r1 = wmax/w
    r2 = hmax/h
    if r1<r2 then 
      r = r1
    else
      r = r2 
    end if
  end if

  w1 = Round(r*w)
  h1 = Round(r*h) 

  im.SetImage 1
  im.CreateImage w1,h1

' Copy image 0 to 1 (0,1 - indices of images)
' Copy the image to (0,0) point
' Copy the image from (0,0) point
' Destination area is smaller (we force resize)

  im.CopyImageResize 1,0,0,0,0,0,w1,h1,w,h
' Convert image to black and white 
  im.ConvertToMonochromeAuto

end if

' Set the format of output image 
im.SetImageType ImageType
' Set Jpeg quality for Jpeg images
im.SetJpegQuality 100
' Save image to variable
a = im.WriteToVariable
' Send image to output stream
response.BinaryWrite a 

'Free memory
im.DestroyImage
im.SetImage 0
im.DestroyImage
Set im = Nothing 

Response.End
%>

